Formula

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jxl.write
Class Formula

    java.lang.Object
      jxl.biff.RecordData
          jxl.biff.WritableRecordData
              jxl.write.biff.CellValue
                  jxl.write.biff.FormulaRecord
                      jxl.write.Formula

All Implemented Interfaces:
  jxl.biff.ByteData, jxl.biff.FormulaData, Cell, WritableCell

    public class Formula

extends jxl.write.biff.FormulaRecord
implements WritableCell

A cell, created by user applications, which contains a numerical value

Constructor Summary
`Formula(int c, int r, java.lang.String form)` Constructs the formula
`Formula(int c, int r, java.lang.String form, CellFormat st)` Constructs a formula

Method Summary
`WritableCell` | `copyTo(int col, int row)` Implementation of the deep copy function

Methods inherited from class jxl.write.biff.FormulaRecord
`getContents, getData, getFormulaData, getType`

Methods inherited from class jxl.write.biff.CellValue
`addCellFeatures, getCellFeatures, getCellFormat, getColumn, getRow, getSheet, getWritableCellFeatures, isHidden, removeCellFeatures, removeComment, removeDataValidation, setCellFeatures, setCellFormat`

Methods inherited from class jxl.biff.WritableRecordData
`getBytes`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface jxl.write.WritableCell
`getWritableCellFeatures, setCellFeatures, setCellFormat`

Methods inherited from interface jxl.Cell
`getCellFeatures, getCellFormat, getColumn, getContents, getRow, getType, isHidden`

Constructor Detail

### Formula

    public Formula(int c,
                   int r,
                   java.lang.String form)

  Constructs the formula

  Parameters:
    `c` - the column
    `r` - the row
    `form` - the formula

### Formula

    public Formula(int c,
                   int r,
                   java.lang.String form,
                   CellFormat st)

  Constructs a formula

  Parameters:
    `c` - the column
    `r` - the row
    `form` - the formula
    `st` - the cell style

Method Detail

### copyTo

    public WritableCell copyTo(int col,
                               int row)

  Implementation of the deep copy function

  Specified by:
    `copyTo` in interface `WritableCell`
  Overrides:
    `copyTo` in class `jxl.write.biff.FormulaRecord`
  Parameters:
    `col` - the column which the new cell will occupy
    `row` - the row which the new cell will occupy
  Returns:
    a copy of this cell, which can then be added to the sheet

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD